Cancel Subscription - Flex Documentation
Cancel Subscription
cURL
curl --request DELETE \
--url https://api.withflex.com/v1/subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscription": {
"cancel_at_period_end": false,
"refund": "none",
"refund_amount": 2500
}
}
'
Python
import requests
url = "https://api.withflex.com/v1/subscriptions/{id}"
payload = { "subscription": {
"cancel_at_period_end": False,
"refund": "none",
"refund_amount": 2500
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subscription: {cancel_at_period_end: false, refund: 'none', refund_amount: 2500}
})
};
fetch('https://api.withflex.com/v1/subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.withflex.com/v1/subscriptions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'subscription' => [
'cancel_at_period_end' => false,
'refund' => 'none',
'refund_amount' => 2500
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/subscriptions/{id}"
payload := strings.NewReader("{\n \"subscription\": {\n \"cancel_at_period_end\": false,\n \"refund\": \"none\",\n \"refund_amount\": 2500\n }\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Error Responses
Possible Status Codes
- 200: Successful operation.
- 401: Unauthorized access.
- 403: Forbidden action.
- 404: Resource not found.
- 409: Conflict in the request.
- 422: Unprocessable entity.
- 429: Too many requests.
JSON Response Example
Successful Response
{
"subscription": {
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"items": [{}],
"status": "incomplete",
"cancel_at_period_end": false,
"current_period_end": "string",
"current_period_start": "string",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false,
"client_secret": {},
"proration_behavior": "always_invoice",
"trial_start": "string",
"trial_end": "string",
"cancel_at": "2026-06-15T14:30:00Z",
"canceled_at": "2026-06-15T14:30:00Z"
}
}
Error Response Example
{
"code": "string",
"detail": "string"
}
Authorization
Authorization Header
- Type:
string
- Location:
header
- Required: Use a Bearer token to access this API.
Path Parameters
- id:
string (required) Example: "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Body
- Content-Type:
application/json
- Required: The subscription payload carried by the request or response.
JSON Example
{
"subscription": {
"cancel_at_period_end": false,
"refund": "none",
"refund_amount": 2500
}
}